Bug 428822 - rm-rhnsat-db.sh throws errors on ipcrm
rm-rhnsat-db.sh throws errors on ipcrm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Steve Salevan
:
Depends On:
Blocks: 436286
  Show dependency treegraph
 
Reported: 2008-01-15 09:19 EST by Michael Mráka
Modified: 2008-11-05 13:39 EST (History)
1 user (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2008-01-15 09:19:45 EST
Description of problem:
rm-rhnsat-db.sh throws errors on ipcrm when there is no oracle ipc semaphore or 
shared mem.

Version-Release number of selected component (if applicable):
510 embedded db

How reproducible:
Always

Steps to Reproduce:
1. install sat 510 embedded db
2. cd <sat-iso-dir>/install
3. sh ./rm-rhnsat-db.sh
  
Actual results:
+ /sbin/service rhn-database stop
Shutting down rhn-database:                                [  OK  ]
...
+ ipcs -s
+ grep oracle
+ perl -l -a -n -e 'print $F[1]'
+ grep '^[0-9]'
+ xargs -n 1 ipcrm -s
ipcrm: option requires an argument -- s
ipcrm: illegal option -- ?
usage: ipcrm [ [-q msqid] [-m shmid] [-s semid]
          [-Q msgkey] [-M shmkey] [-S semkey] ... ]
+ ipcs -m
+ grep oracle
+ perl -l -a -n -e 'print $F[1]'
+ grep '^[0-9]'
+ xargs -n 1 ipcrm -m
ipcrm: option requires an argument -- m
ipcrm: illegal option -- ?
usage: ipcrm [ [-q msqid] [-m shmid] [-s semid]
          [-Q msgkey] [-M shmkey] [-S semkey] ... ]
+ set +x

WARNING: you may want to double check that shared memory and semaphore
         resources are cleared out for oracle via the ipcs and ipcrm
         commands


Expected results:
output without ipcrm usage messages

Additional info:
Comment 2 Clifford Perry 2008-01-18 10:31:27 EST
Michael, this script is not expected to be used by customers., nor, to my
knowledge, do we ever call it within our installer scripts on the ISO. 

I do not feel this is a bug QA should have to QA in the final stages of our
release, so punting to Sat 5.2, because, its a bug, and QA would have to QA it :)
Comment 3 Michael Mráka 2008-06-04 05:38:28 EDT
Fixed.
Sending       rm-rhnsat-db.sh
Transmitting file data ..
Committed revision 172584.
Comment 4 Michael Mráka 2008-07-24 05:27:20 EDT
Ported to RELEASE-5.2, r172584.
Comment 5 Brad Buckingham 2008-08-13 12:53:28 EDT
Mass move to ON_QA.
Comment 6 Steve Salevan 2008-08-27 10:50:42 EDT
Looks good on latest 520 builds on RHEL4/5 as far as I can tell.  Moving to VERIFIED.
Comment 7 Jeff Browning 2008-10-22 13:42:43 EDT
[root@fjs-0-01 install]# sh ./rm-rhnsat-db.sh
+ /sbin/service rhn-database stop
Shutting down rhn-database:                                [  OK  ]
+ rm -rfv /rhnsat
removed `/rhnsat/data/rhnsat/redo_1102.log'
removed `/rhnsat/data/rhnsat/redo_1101.log'
removed `/rhnsat/data/rhnsat/data_03.dbf'
removed `/rhnsat/data/rhnsat/undo_01.dbf'
removed `/rhnsat/data/rhnsat/control_02.ctl'
removed `/rhnsat/data/rhnsat/data_04.dbf'
removed `/rhnsat/data/rhnsat/redo_1201.log'
removed `/rhnsat/data/rhnsat/data_02.dbf'
removed `/rhnsat/data/rhnsat/temp_01.dbf'
removed `/rhnsat/data/rhnsat/redo_1001.log'
removed `/rhnsat/data/rhnsat/data_05.dbf'
removed `/rhnsat/data/rhnsat/redo_1002.log'
removed `/rhnsat/data/rhnsat/control_01.ctl'
removed `/rhnsat/data/rhnsat/control_03.ctl'
removed `/rhnsat/data/rhnsat/data_08.dbf'
removed `/rhnsat/data/rhnsat/data_01.dbf'
removed `/rhnsat/data/rhnsat/redo_1202.log'
removed `/rhnsat/data/rhnsat/data_07.dbf'
removed `/rhnsat/data/rhnsat/users_01.dbf'
removed `/rhnsat/data/rhnsat/data_06.dbf'
removed `/rhnsat/data/rhnsat/redo_1302.log'
removed `/rhnsat/data/rhnsat/sysaux.dbf'
removed `/rhnsat/data/rhnsat/redo_1301.log'
removed `/rhnsat/data/rhnsat/system.dbf'
removed directory: `/rhnsat/data/rhnsat'
removed directory: `/rhnsat/data'
removed directory: `/rhnsat/admin/rhnsat/backup'
removed directory: `/rhnsat/admin/rhnsat/export'
removed directory: `/rhnsat/admin/rhnsat/archive'
removed directory: `/rhnsat/admin/rhnsat/ldump'
removed directory: `/rhnsat/admin/rhnsat/import'
removed directory: `/rhnsat/admin/rhnsat/perf'
removed directory: `/rhnsat/admin/rhnsat/tmp'
removed `/rhnsat/admin/rhnsat/bdump/rhnsat_lgwr_6861.trc'
removed `/rhnsat/admin/rhnsat/bdump/rhnsat_lgwr_5937.trc'
removed `/rhnsat/admin/rhnsat/bdump/rhnsat_lgwr_6131.trc'
removed `/rhnsat/admin/rhnsat/bdump/alert_rhnsat.log'
removed directory: `/rhnsat/admin/rhnsat/bdump'
removed directory: `/rhnsat/admin/rhnsat/adump'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_6749.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_7857.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_6849.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_6119.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_5925.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_5950.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_6036.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_6147.trc'
removed `/rhnsat/admin/rhnsat/udump/rhnsat_ora_6877.trc'
removed directory: `/rhnsat/admin/rhnsat/udump'
removed `/rhnsat/admin/rhnsat/init.ora'
removed directory: `/rhnsat/admin/rhnsat/cdump'
removed `/rhnsat/admin/rhnsat/logs/ora_5950.aud'
removed `/rhnsat/admin/rhnsat/logs/create_catproc.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6877.aud'
removed `/rhnsat/admin/rhnsat/logs/create_catalog.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6026.aud'
removed `/rhnsat/admin/rhnsat/logs/create_owminst.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6849.aud'
removed `/rhnsat/admin/rhnsat/logs/ora_7852.aud'
removed `/rhnsat/admin/rhnsat/logs/ora_6145.aud'
removed `/rhnsat/admin/rhnsat/logs/ora_6119.aud'
removed `/rhnsat/admin/rhnsat/logs/create_pupbld.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6749.aud'
removed `/rhnsat/admin/rhnsat/logs/ora_5925.aud'
removed `/rhnsat/admin/rhnsat/logs/ora_7857.aud'
removed `/rhnsat/admin/rhnsat/logs/create_utlxplan.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6036.aud'
removed `/rhnsat/admin/rhnsat/logs/create_catblock.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6875.aud'
removed `/rhnsat/admin/rhnsat/logs/create_rhnsat.log'
removed `/rhnsat/admin/rhnsat/logs/ora_6744.aud'
removed `/rhnsat/admin/rhnsat/logs/ora_6147.aud'
removed directory: `/rhnsat/admin/rhnsat/logs'
removed directory: `/rhnsat/admin/rhnsat'
removed directory: `/rhnsat/admin'
removed directory: `/rhnsat'
+ find /opt/apps/oracle/config/ -type f
+ grep -i rhnsat
+ xargs rm -rfv
removed `/opt/apps/oracle/config/10.2.0/lkRHNSAT'
removed `/opt/apps/oracle/config/10.2.0/hc_rhnsat.dat'
removed `/opt/apps/oracle/config/10.2.0/spfilerhnsat.ora'
+ /sbin/chkconfig --del rhn-database
+ su - oracle -c 'kill -9 -1'
+ sleep 1
+ ipcs -s
+ perl -l -a -n -e 'print $F[1] if $F[2] =~ /oracle/ and $F[1] =~ /^[0-9]/ '
+ xargs -n 1 -r ipcrm -s
+ ipcs -m
+ perl -l -a -n -e 'print $F[1] if $F[2] =~ /oracle/ and $F[1] =~ /^[0-9]/'
+ xargs -n 1 -r ipcrm -m
+ set +x

WARNING: you may want to double check that shared memory and semaphore
         resources are cleared out for oracle via the ipcs and ipcrm
         commands

These lines do not show up...

ipcrm: option requires an argument -- s
ipcrm: illegal option -- ?
usage: ipcrm [ [-q msqid] [-m shmid] [-s semid]
          [-Q msgkey] [-M shmkey] [-S semkey] ... ]

Therefore, it is verified.
Comment 8 Brandon Perkins 2008-11-05 13:39:42 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.